SimpleOrthologue (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.SimpleOrthologue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class SimpleOrthologue

    java.lang.Object
      org.biojava.bio.program.homologene.SimpleOrthologue

All Implemented Interfaces:
  Orthologue

    public class SimpleOrthologue

extends Object
implements Orthologue

this entry contains data about the orthologue.

Constructor Summary
`SimpleOrthologue(int taxonID, String locusID, String homologeneID, String accession)` this constructor does the Taxon lookup for you too
`SimpleOrthologue(Taxon taxon, String locusID, String homologeneID, String accession)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getAccession()` get the Accession ID associated with this orthologue.
`String` | `getHomologeneID()` get the Homologene ID.
`String` | `getLocusID()` get the locus ID associated with this orthologue.
`Taxon` | `getTaxon()` return the Taxon associated with this orthologue
`int` | `getTaxonID()` a convenience method to return the TaxonID for thsi orhtologue.
`String` | `getTitle()` return the title used by Genbank for this protein
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleOrthologue

    public SimpleOrthologue(Taxon taxon,
                            String locusID,
                            String homologeneID,
                            String accession)

### SimpleOrthologue

    public SimpleOrthologue(int taxonID,
                            String locusID,
                            String homologeneID,
                            String accession)
                     throws IllegalArgumentException

  this constructor does the Taxon lookup for you too

  Throws:
    `IllegalArgumentException`

Method Detail

### getTitle

    public String getTitle()

  Description copied from interface: `Orthologue`
  return the title used by Genbank for this protein

  Specified by:
    `getTitle` in interface `Orthologue`

### getTaxon

    public Taxon getTaxon()

  Description copied from interface: `Orthologue`
  return the Taxon associated with this orthologue

  Specified by:
    `getTaxon` in interface `Orthologue`

### getTaxonID

    public int getTaxonID()

  Description copied from interface: `Orthologue`
  a convenience method to return the TaxonID for thsi orhtologue.

  Specified by:
    `getTaxonID` in interface `Orthologue`

### getLocusID

    public String getLocusID()

  Description copied from interface: `Orthologue`
  get the locus ID associated with this orthologue. It can be null.

  Specified by:
    `getLocusID` in interface `Orthologue`

### getHomologeneID

    public String getHomologeneID()

  Description copied from interface: `Orthologue`
  get the Homologene ID. This is unique and always defined.

  Specified by:
    `getHomologeneID` in interface `Orthologue`

### getAccession

    public String getAccession()

  Description copied from interface: `Orthologue`
  get the Accession ID associated with this orthologue.

  Specified by:
    `getAccession` in interface `Orthologue`

### setTitle

    public void setTitle(String title)

  Specified by:
    `setTitle` in interface `Orthologue`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD